Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.types
Class RepeatVariable

    java.lang.Object
      org.irisa.genouest.logol.types.AbstractVariable
          org.irisa.genouest.logol.types.ViewVariable
              org.irisa.genouest.logol.types.RepeatVariable

    public class RepeatVariable

extends ViewVariable

Class managing repeat variable types

Author:
  osallou History: 02/06/09 Bug 1374 Add spacer as return var

Field Summary

Fields inherited from class org.irisa.genouest.logol.types.ViewVariable
`predicates`

Constructor Summary
`RepeatVariable(int varID)`

Method Summary
`java.lang.String` | `content(LogolVariable lvar)` Manage repeat like variables
`static java.lang.String` | `map2predicate(java.lang.String predicate, int id, java.lang.String plist, boolean overlap)`

Methods inherited from class org.irisa.genouest.logol.types.ViewVariable
`addPredicate, getPredCount, getPredicate, getPredicateArraySize, map2predicate, map2predicate, map2predicate, reset, setPredCount`

Methods inherited from class org.irisa.genouest.logol.types.AbstractVariable
`externalPredicate, getProlog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatVariable

    public RepeatVariable(int varID)

Method Detail

### content

    public java.lang.String content(LogolVariable lvar)
                             throws GrammarException

  Manage repeat like variables

  Overrides:
    `content` in class `ViewVariable`
  Parameters:
    `lvar` - current variable
  Returns:
    prolog content
  Throws:
    `GrammarException`

### map2predicate

    public static java.lang.String map2predicate(java.lang.String predicate,
                                                 int id,
                                                 java.lang.String plist,
                                                 boolean overlap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD